Last Comment Bug 391061 - Remove scary message about multiple SMTP servers from Account Settings
: Remove scary message about multiple SMTP servers from Account Settings
Status: RESOLVED FIXED
: polish, uiwanted, ux-tone
Product: MailNews Core
Classification: Components
Component: Account Manager (show other bugs)
: Trunk
: All All
: -- enhancement with 2 votes (vote)
: Thunderbird 15.0
Assigned To: :aceman
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-06 03:51 PDT by Rod Whiteley
Modified: 2012-04-24 16:23 PDT (History)
6 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch, change string (4.73 KB, patch)
2012-02-17 10:38 PST, :aceman
iann_bugzilla: review+
bwinton: ui‑review+
bwinton: feedback+
Details | Diff | Review
patch v2 (8.23 KB, patch)
2012-04-13 13:38 PDT, :aceman
iann_bugzilla: review+
mconley: review+
bwinton: ui‑review+
Details | Diff | Review
patch v3 (8.41 KB, patch)
2012-04-24 13:58 PDT, :aceman
acelists: review+
Details | Diff | Review

Description Rod Whiteley 2007-08-06 03:51:45 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.6) Gecko/20070725 Firefox/2.0.0.6
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.6) Gecko/20070728 Thunderbird/2.0.0.6

In Account Settings, the Outgoing Server (SMTP) Settings page says:

"Although you can specify more than one outgoing server (SMTP), this is only recommended for advanced users. Setting up multiple SMTP servers can cause errors when sending messages."

This is misleading. Anyone who is capable of setting up an account is capable of setting up and using additional SMTP servers, and this does not (and never did) in itself cause errors when sending messages.

Reproducible: Always




Related to bug 222388 and see also: http://kb.mozillazine.org/Multiple_SMTP_servers_-_Thunderbird

Proposed new wording:

"To use a server in this list, specify it as the Outgoing Server (SMTP) for one or more of your identities. To use the Default server in this list, specify 'Use Default Server' as the Outgoing Server (SMTP) for one or more of your identities."
Comment 1 WADA 2007-08-06 04:37:07 PDT
FYI.
Following great page was created recently, and "SMTP servers" section explains Mozilla family's SMTP configuration related concept very well.    
  http://kb.mozillazine.org/Mail_concepts
I hope this excellent concept is notified to users via simple explanation in panels or messages, because Thunderbird still doesn't have great Help/Help contents feature of Mozilla/Seamonkey.
Comment 2 :aceman 2012-02-11 18:14:54 PST
This would be easy to do, it just needs decision from the UI guys.
Comment 3 :aceman 2012-02-17 10:38:12 PST
Created attachment 598288 [details] [diff] [review]
patch, change string
Comment 4 Ian Neal 2012-02-18 13:42:11 PST
Comment on attachment 598288 [details] [diff] [review]
patch, change string

>+<!ENTITY smtpDescription.label "To use a server in this list, specify it as the Outgoing Server (SMTP) for one or more of your identities. To use the Default server in this list, specify 'Use Default Server' as the Outgoing Server (SMTP) for one or more of your identities.">
Would it be better to say "select" rather than "specify"?
Would a better way of indicating where this action is done be saying something like "When managing your identities you can use a server from this list by selecting it as the Outgoing Server (SMTP). etc"?

r=me with those questions answered/addressed
Comment 5 Blake Winton (:bwinton) (:☕️) 2012-02-21 08:35:08 PST
Comment on attachment 598288 [details] [diff] [review]
patch, change string

The /mail/ parts look good.  ui-r=me.  (I don't know if you also need a ui-r for the /suite/ parts, though…)

Thanks,
Blake.
Comment 6 :aceman 2012-02-21 08:39:26 PST
I thought Ian's review is enough for SM strings.
Bwinton, can you also answer Ian's questions? I am not actually sure what the resulting string should be.
Comment 7 :aceman 2012-03-22 15:08:13 PDT
Comment on attachment 598288 [details] [diff] [review]
patch, change string

Bwinton, please see the comments.
Comment 8 Blake Winton (:bwinton) (:☕️) 2012-04-12 15:48:20 PDT
Comment on attachment 598288 [details] [diff] [review]
patch, change string

Yeah, I like "select" better than "specify", since you are selecting an item from a list, not typing in the settings…

> Would a better way of indicating where this action is done be saying something
> like "When managing your identities you can use a server from this list by
> selecting it as the Outgoing Server (SMTP). etc"?

Perhaps.  I'm not sure about the benefits of putting the location first, as opposed to putting the proposed action first.

The final string would be 'When managing your identities you can use a server from this list by selecting it as the Outgoing Server (SMTP), or you can use the default server from this list by selecting "Use Default Server".'

(Please use "s around "Use Default Server" the string.)

That seems shorter, and still reasonably clear.  Ian?  Do you still like the new wording?
Comment 9 :aceman 2012-04-13 13:38:36 PDT
Created attachment 614901 [details] [diff] [review]
patch v2
Comment 10 Blake Winton (:bwinton) (:☕️) 2012-04-17 13:30:30 PDT
Comment on attachment 614901 [details] [diff] [review]
patch v2

Looks good to me!  ui-r+!

Thanks,
Blake.
Comment 11 Mike Conley (:mconley) - (needinfo me!) 2012-04-24 07:32:42 PDT
Comment on attachment 614901 [details] [diff] [review]
patch v2

Review of attachment 614901 [details] [diff] [review]:
-----------------------------------------------------------------

aceman:

Just two nits, r=me with those fixed.

Also, I really like how you're cleaning up the code while you're fixing this stuff.  Thumbs up.

-Mike

::: mail/locales/en-US/chrome/messenger/am-advanced.dtd
@@ +2,5 @@
>  
>  <!-- LOCALIZATION NOTE (smtpServer.label): do not translate "SMTP" in below line -->
>  <!ENTITY smtpServer.label "Outgoing Server (SMTP) Settings">
>  
>  <!-- LOCALIZATION NOTE (smtpDesc.label): do not translate "SMTP" in below line -->

This comment needs to be updated to match the new string key.

::: suite/locales/en-US/chrome/mailnews/pref/am-advanced.dtd
@@ +1,3 @@
>  <!-- LOCALIZATION NOTE (smtpServer.label): do not translate "SMTP" in below line -->
>  <!ENTITY smtpServer.label "Outgoing Server (SMTP) Settings">
>  <!-- LOCALIZATION NOTE (smtpDesc.label): do not translate "SMTP" in below line -->

Same as before - this comment needs updating to match the string key.
Comment 12 :aceman 2012-04-24 13:58:47 PDT
Created attachment 618035 [details] [diff] [review]
patch v3

When do I stop forgetting these rules...
Comment 13 Ryan VanderMeulen [:RyanVM] 2012-04-24 16:23:56 PDT
http://hg.mozilla.org/comm-central/rev/3fb688e2aef2

Note You need to log in before you can comment on or make changes to this bug.